﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AudioManager : MonoBehaviour {
	// Use this for initialization
	public List<AudioClip> audioClips;
	AudioClip nowPlaying;
	AudioSource audio;
    private static AudioManager instance;

    public static AudioManager Instance()
    {
        if (instance == null){
            instance = GameObject.Find("AudioManager").GetComponent<AudioManager>();
			instance.audio = instance.GetComponent<AudioSource>();
		}
        if (instance == null)
            Debug.LogError("Can't find AudioManager!");

        return instance;
    }
	
	public void setAudioTrack(int trackID){
		nowPlaying = audioClips[trackID];
		audio.clip = nowPlaying;
		audio.time = 0;
		audio.Play();
	}
}
