﻿using System.Collections.Generic;
public class TestConvo : Conversation {
    public override void finish(){
        DisplayManager.Instance().displayIntroMessage(new IntroMessage("test dialogue","TestIntro",new List<string>{"One","Two"}));
        nextStep = "";
    }
    public override void setup(){
        List<Message> messages = new List<Message>(); 

        // Copy and paste as many messages as you need.
        // A message is 

        messages.Add(new Message("This is an example of a messages.", 1f));
        messages.Add(new Message("Use \n to force a break line", 1f));
        messages.Add(new Message(
            "You can space out long messages like this so that it's easier to manage " +
            "Lorem ipsum dolor sit amet, consectetur adipiscing elit. " + 
            "Maecenas tristique diam vitae nunc dignissim egestas. " + 
            "Vestibulum hendrerit lacinia enim, id maximus justo vehicula eget. ", 1f));

        Answer answer = new Answer(
            new List<string>{
                "Answer 1",
                "Answer 2",
                "Answer 3",
                "Answer 4"
            },
            new List<string>{
                "Full narrative text deliver 1",
                "Full narrative text deliver 2",
                "Full narrative text deliver 3",
                "Full narrative text deliver 4"
            },
            new List<Message>{
                new Message("Response 1", 1f),
                new Message("Response 2", 1f),
                new Message("Response 3", 1f),
                new Message("Response 4", 1f)
            }
        );

        answer.answerName = "test";

        addMessageAndAnswer(messages, answer);

        messages = new List<Message>(); 
        messages.Add(new Message("This is another message and answer combo.", 1f));
        answer = new Answer(
            new List<string>{
                "Okay"
            },
            new List<string>{
                "Full narrative text deliver 1"
            },
            new List<Message>{
                new Message("Weeew", 1f)
            }
        );
        answer.answerName = "test2";

        addMessageAndAnswer(messages, answer);
    }
	
}
