﻿using System.Collections.Generic;

[System.Serializable]
public class Answer
{
    public string answerName;
    public List<string> answersShort;
    public List<string> answersLong;
    public List<Message> response;
    public Answer(List<string> inputAnswersShort, List<string> inputAnsersLong, List<Message> responseList){
        answersShort = inputAnswersShort;
        answersLong = inputAnsersLong;
        response = responseList;
    }
    public Answer(){
        answersShort = new List<string>();
        answersLong = new List<string>();
        response = new List<Message>();
    }

    public override string ToString(){
        string text = "";
        for (int i = 0; i < answersShort.Count; i++)
        {
            text += answersShort[i] + "\n";
        }
        
        return text;
    }
}