﻿using System.Collections.Generic;
using System;
[System.Serializable]
public class Conversation{
    public List<Interaction> interactions;
    public string nextStep;
    public virtual void setup(){}
    public virtual void finish(){}
    public Conversation(){
        setup();
    }
    public void addMessageAndAnswer(List<Message> messages, Answer answer){
        if(interactions == null)
            interactions = new List<Interaction>();
            
        interactions.Add(new Interaction(
            ObjectCopier.Clone<List<Message>>(messages), 
            ObjectCopier.Clone<Answer>(answer)
        ));
    }
    public Type baseClass(){return typeof(Conversation);}
}


