﻿using System.Collections.Generic;

[System.Serializable]
public class Interaction
{
    public List<Message> messages;
    public Answer answer;
    public Interaction(List<Message> inputMessages, Answer inputAnswer){
        messages = inputMessages;
        answer = inputAnswer;
    }
    public Interaction(){
        messages = new List<Message>();
        answer = new Answer();
    }
}