using System.Collections.Generic;

[System.Serializable]
public class IntroMessage
{
    public string text;
    public string nextKey;
    public string saveID;
    public List<string> responses;
    public IntroMessage(string inputDialogue, string nextStep, List<string> inputResponses, string saveKey = null){
        responses = inputResponses;
        nextKey = nextStep;
        text = inputDialogue;
        saveID = saveKey;
    }
    public IntroMessage(){
        text = "";
        nextKey = "";
        responses = new List<string>();
        saveID = null;
    }
    public override string ToString(){
        return text;
    }
}