using UnityEditor;
using UnityEngine;

[CustomEditor(typeof(ConversationManager))]
public class ConversationEditor : Editor 
{
    public override void OnInspectorGUI()
    {
        DrawDefaultInspector();
        
        ConversationManager conversationMnger = (ConversationManager)target;
        
        if(Application.isPlaying && GUILayout.Button("Load conversation"))
        {
		    conversationMnger.loadDefaultConversation();
        }
        if(Application.isPlaying && GUILayout.Button("Load intro"))
        {
		    conversationMnger.loadIntroText();
        }
        if(Application.isPlaying && GUILayout.Button("Clear Window"))
        {
            DisplayManager.Instance().clearChat("february");
        }
    }
}